Subject: Re: [3gv6] Demonstration

From: David Crowe <[email-masked]>
Date: Wed, 24 Feb 2010 09:09:35 -0700

The video shows "Your IP Address is: 97.65.105.26"

Isn't this an IPv4 address?

Are you simply demonstrating that the UE is given a public IP address 
temporarily, along with a port number? But isn't that the same as for 
standard IPv4 NAT?

- David Crowe

>Hi Cameron
>
>You are planning to show this demonstration in the coming workshop
>based on Android phone?
>
>thanks
>
>-Hui
>
>2010/2/24 Cameron Byrne <[email-masked]>:
>>  Folks,
>>
>>  Today for the first time i used the production national RAN network to
>>  access an IPv6 PDP context on a lab GGSN.
>>
>>  The significance of this is that now, any where my network has RF
>>  coverage (200+ million people in the USA), we can have native IPv6
>>  connections -- today.  This is a primitive beta service that does not
>>  have all the billing and other properties worked out yet, but folks
>>  said build it (an IPv6 network)  and they (handsets, applications)
>>  will come.  We built it, pretty easy actually.  Now we start the long
>>  road to integrating provisioning, backend systems, ops training ...
>>
>>  Here is a blurry and low-quality video of the IPv6-only UE user
>>  experience on the production network using today's software and
>>  hardware in the RAN, Packet Core, and UE.  The UE is IPv6-only and has
>>  the assistance of network-based DNS64 / NAT64 to access IPv4 content.
>>  The UE does not have an IPv4 address or IPv4 PDP.
>>
>  > http://www.youtube.com/watch?v=SFAZFGKIigk
>>
>>  A quick walk through of the video
>>
>>  1. Start with www.kame.net, native v6 content.
>>  2. mobile.nytimes.com, which is IPv4 content via the NAT64 / DNS64
>>  3. whatsmyip, to show NAT64 public side IPv4 address that the IPv4 
>>content sees
>>  4.  more ipv4 content at washington post
>>  5.  comcast6.net, which shows my IPv6 address.  This is the IPv6
>>  address of the UE [sorry it's blurry]
>>  6.  more IPv4 content at yahoo mobile
>>  7.  the facebook application, viewing photos.
>>  8.  access an IPv4 IMAP (tcp 993) email account at GMX.com, and 
>>send an email.
>>  9.  Google maps.  I did a previous search for coffee shops, and then
>>  it also shows panning for map updates.
>>
>>  The T-Mobile representatives at the 3GPP-IETF conference in San
>>  Francisco will have this phone and it will work anywhere there is
>>  T-Mobile USA coverage as IPv6-only.
>>
>>  In a few months, I plan to launch an official beta "friendly user
>>  trial" so that handset and application developers can attach to
>>  T-Mobile's beta IPv6 APN to develop and innovate in an IPv6-only
>>  environment.  I will post more details about that as we get closer to
>>  launch.
>>
>>  Regards,
>>  Cameron
>>  _______________________________________________
>>  3gv6 mailing list
>>  [email-masked]
>>  https://www.ietf.org/mailman/listinfo/3gv6
>>